apiVersion: v1
kind: Pod
metadata:
  name: tango-vnc
  labels:
    run: tango-vnc
spec:
  containers:
  - image: nexus.engageska-portugal.pt/ska-docker/tango-vnc
    name: tango-vnc
    imagePullPolicy: IfNotPresent
    env:
      - name: TANGO_HOST
        value: databaseds-service:10000
    command: ["/bin/sh"]
    args: ["-c", "Xvfb :20 -screen 0 1366x768x16 -listen tcp -ac & x11vnc -passwd TestVNC -display :20 -N -forever & startxfce4 & websockify --web /usr/share/novnc 6081 localhost:5920"]
